##
##  binutils.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         binutils
Summary:      GNU Binary Utilities
URL:          http://sources.redhat.com/binutils/
Vendor:       Free Software Foundation
Packager:     The OpenPKG Project
Distribution: OpenPKG [CORE]
Group:        Utility
License:      GPL
Version:      2.14
Release:      20030613

#   list of sources
Source0:      ftp://sources.redhat.com/pub/binutils/releases/binutils-%{version}.tar.bz2
Patch0:       binutils.patch

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20021230, make
PreReq:       OpenPKG, openpkg >= 20021230
AutoReq:      no
AutoReqProv:  no

%description
    Binutils is a collection of binary utilities. It includes: ld -
    the GNU linker. addr2line - Converts addresses into filenames and
    line numbers. as - the portable GNU assembler. ar - A utility
    for creating, modifying and extracting from archives. nm - Lists
    symbols from object files. objcopy - Copys and translates object
    files. objdump - Displays information from object files. ranlib
    - Generates an index to the contents of an archive. readelf -
    Displays information from any ELF format object file. size - Lists
    the section sizes of an object or archive file. strings - Lists
    printable strings from files. strip - Discards symbols. c++filt
    - Filter to demangle encoded C++ symbols. addr2line - Convert
    addresses to file and line. nlmconv - Converts object code into
    an NLM. windres - A compiler for Windows resource files. gprof -
    Displays profiling information.

%prep
    %setup -q
    %patch -p0

%build
    CC="%{l_cc}"; export CC
    CFLAGS="%{l_cflags -O}"; export CFLAGS
    case "%{l_target}" in
        *-freebsd* ) CFLAGS="$CFLAGS -DOPENPKG_OS_FREEBSD" ;;
        *-linux*   ) CFLAGS="$CFLAGS -DOPENPKG_OS_LINUX"   ;;
        *-solaris* ) CFLAGS="$CFLAGS -DOPENPKG_OS_SOLARIS" ;;
    esac
    ./configure \
        --prefix=%{l_prefix}
    %{l_make} %{l_mflags}

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_make} %{l_mflags} install prefix=$RPM_BUILD_ROOT%{l_prefix}
    rm -f $RPM_BUILD_ROOT%{l_prefix}/info/dir
    rm -f $RPM_BUILD_ROOT%{l_prefix}/info/standards.info
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/include
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/lib
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/share
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/*-*-*
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/bin/c++filt
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

